Subject: bug#25407: ls documentation should reflect file system atime setting

From: Eric Blake <[email-masked]>
Date: Tue, 10 Jan 2017 13:54:07 -0600

On 01/10/2017 01:29 PM, Eric Blake wrote:
> On 01/10/2017 01:21 PM, Bernhard Voelker wrote:
>> On 01/10/2017 12:18 AM, Paul Eggert wrote:
>>> The first patch is a minor cleanup [...]
>>
>> ... which makes the syntax-check fail:
>>
>> maint.mk: you have modified old NEWS
>> maint.mk:1074: recipe for target 'sc_immutable_NEWS' failed
>> make: *** [sc_immutable_NEWS] Error 1
> 
> Fixed by running 'make update-NEWS-hash'

I guess that's open-ended about whether I was doing the fix or leaving
it to someone else.

Here's what I'm testing:

From cafb41a22d72452f36d3129d36e3127ae0917d51 Mon Sep 17 00:00:00 2001
From: Eric Blake <[email-masked]>
Date: Tue, 10 Jan 2017 13:48:45 -0600
Subject: [PATCH] maint: update NEWS hash to match recent spelling fixes

Commit 4f650aad was incomplete; it changed NEWS but not the hash.

* cfg.mk (old_NEWS_hash): Update via 'make update-NEWS-hash'.
---
 cfg.mk | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/cfg.mk b/cfg.mk
index 7e28d9c..ec03974 100644
--- a/cfg.mk
+++ b/cfg.mk
@@ -48,7 +48,7 @@ export VERBOSE = yes
 # 4914152 9e
 export XZ_OPT = -8e

-old_NEWS_hash = 33e0d81904e66223883c8bc33c29a772
+old_NEWS_hash = 46e9780e1ed2f2df9611205e5e08b95a

 # Add an exemption for sc_makefile_at_at_check.
 _makefile_at_at_check_exceptions = ' && !/^cu_install_prog/ &&
!/dynamic-dep/'

But I haven't pushed it, since I'm still getting other unrelated
syntax-check failures:

$ make syntax-check
...
gitignore_missing
/lib/Makefile
maint.mk: Add above entries to .gitignore
cfg.mk:781: recipe for target 'sc_gitignore_missing' failed

$ make sc_gitignore_redundant
gitignore_redundant
/lib/alloca.h
/lib/ctype.h
/lib/dirent.h
/lib/errno.h
/lib/fcntl.h
/lib/float.h
/lib/fnmatch.h
/lib/getopt.h
/lib/iconv.h
/lib/iconv_open-aix.h
/lib/iconv_open-hpux.h
/lib/iconv_open-irix.h
/lib/iconv_open-osf.h
/lib/iconv_open-solaris.h
/lib/inttypes.h
/lib/langinfo.h
/lib/locale.h
/lib/math.h
/lib/netdb.h
/lib/parse-datetime.c
/lib/pthread.h
/lib/ref-add.sed
/lib/ref-del.sed
/lib/sched.h
/lib/se-context.h
/lib/se-selinux.h
/lib/signal.h
/lib/stdarg.h
/lib/stdbool.h
/lib/stddef.h
/lib/stdint.h
/lib/stdio.h
/lib/stdlib.h
/lib/string.h
/lib/termios.h
/lib/time.h
/lib/unistd.h
/lib/unistr.h
/lib/unitypes.h
/lib/uniwidth.h
/lib/wchar.h
/lib/wctype.h
maint.mk: Remove above entries from .gitignore
cfg.mk:789: recipe for target 'sc_gitignore_redundant' failed

-- 
Eric Blake   eblake redhat com    +1-919-301-3266
Libvirt virtualization library http://libvirt.org